## org.plovr
Class CheckedCoffeeScriptCompilerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.plovr.CompilationException
                  org.plovr.CheckedCoffeeScriptCompilerException

All Implemented Interfaces:
  java.io.Serializable

    public class CheckedCoffeeScriptCompilerException

extends CompilationException

`PlovrCoffeeScriptCompilerException` is a CoffeeScript exception that can generate a `JSError` that can be displayed for the user.

Author:
  bolinfest@gmail.com (Michael Bolin)
See Also:
  Serialized Form

Constructor Summary
`CheckedCoffeeScriptCompilerException(PlovrCoffeeScriptCompilerException cause)`

Method Summary
`org.plovr.CompilationError` `createCompilationError()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheckedCoffeeScriptCompilerException

    public CheckedCoffeeScriptCompilerException(PlovrCoffeeScriptCompilerException cause)

Method Detail

### createCompilationError

    public org.plovr.CompilationError createCompilationError()

  Specified by:
    `createCompilationError` in class `CompilationException`